Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezcalendar/user/dayview.php File Reference

Go to the source code of this file.

## Functions
| appointmentRowSpan (&$appointment, &$startTime, &$interval)
| intersects (&$app, &$startTime, &$stopTime)
| addZero ( $value)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZCalendarMain", "Language" )
| $StartTimeStr = $ini->variable( "eZCalendarMain", "DayStartTime" )
| $StopTimeStr = $ini->variable( "eZCalendarMain", "DayStopTime" )
| $IntervalStr = $ini->variable( "eZCalendarMain", "DayInterval" )
| $Locale = new eZLocale( $Language )
| $user =& eZUser::currentUser()
| $session =& eZSession::globalSession()
else | $userID = $user->id()
if(( $session->variable("ShowOtherCalendarUsers")==false)||(isset( $GetByUser))) | else
| $tmpUser = new eZUser( $userID )
| $date = new eZDate()
| $Month = $session->variable( "Month" )
| $Day = $session->variable( "Day" )
| $zMonth = addZero( $Month )
| $zDay = addZero( $Day )
| $isMyCalendar = ( $user && $user->id() == $userID ) ? "-private" : ""
| $t
| $today = new eZDate()
| $tmpDate = new eZDate( $date->year(), $date->month(), $date->day() )
| $tmpAppointment = new eZAppointment()
| $appointments =& $tmpAppointment->getByDate( $tmpDate, $tmpUser, false )
| $startTime = new eZTime()
| $stopTime = new eZTime()
| $interval = new eZTime()
if(preg_match("#(^( | $midNight [0-9]{1, 2})[^0-9]{0, 1}([0-9]{0, 2})$)#", $StartTimeStr, $startArray)) if (preg_match("#(^([0-9]{1, 2})[^0-9]{0, 1}([0-9]{0, 2})$)#", $StopTimeStr, $stopArray)) if (preg_match("#(^([0-9]{1, 2})[^0-9]{0, 1}([0-9]{0, 2})$)#", $IntervalStr, $intervalArray)) = new eZTime()
| $lastInterval = $midNight->subtract( $interval )
| $firstInterval = $midNight->add( $interval )
foreach( $appointments as $appointment) for( $i=0; $i< count( $appointments); $i++) | $numRows = 0
| $numCols = 1
| $tableCellsId = array()
| $tableCellsRowSpan = array()
| $colTaken = array()
| $emptyRows = array()
| $appointmentDone = array()
| $tmpTime = new eZTime()
while( $tmpTime->isGreater( $stopTime)) for( $col=0; $col< $numCols; $col++) | $emptyDone = false
| $now = new eZTime()
| $nowSet = false
| $row = 0
while( $tmpTime->isGreater( $stopTime)) | $user_array =& eZUser::getAll()

## Function Documentation

## ◆ addZero()

addZero | ( |  | $value | ) |

Definition at line 695 of file ezcalendar/user/dayview.php.

References $ret.

## ◆ appointmentRowSpan()

appointmentRowSpan | ( | & | $appointment,
|  | & | $startTime,
|  | & | $interval
| ) |  |

Definition at line 639 of file ezcalendar/user/dayview.php.

References $appointment, $interval, $ret, $startTime, and $tmpTime.

## ◆ intersects()

intersects | ( | & | $app,
|  | & | $startTime,
|  | & | $stopTime
| ) |  |

Definition at line 665 of file ezcalendar/user/dayview.php.

References $app, $ret, $startTime, and $stopTime.

## Variable Documentation

## ◆ $appointmentDone

$appointmentDone = array()

Definition at line 257 of file ezcalendar/user/dayview.php.

## ◆ $appointments

$appointments =& $tmpAppointment->getByDate( $tmpDate, $tmpUser, false )

Definition at line 136 of file ezcalendar/user/dayview.php.

## ◆ $colTaken

$colTaken = array()

Definition at line 255 of file ezcalendar/user/dayview.php.

## ◆ $date

$date = new eZDate()

Definition at line 67 of file ezcalendar/user/dayview.php.

## ◆ $Day

$Day = $session->variable( "Day" )

Definition at line 79 of file ezcalendar/user/dayview.php.

## ◆ $emptyDone

while ($tmpTime->isGreater($stopTime)) for ($col=0;$col< $numCols;$col++) $emptyDone | ( |  | ) | = false

Definition at line 400 of file ezcalendar/user/dayview.php.

## ◆ $emptyRows

$emptyRows = array()

Definition at line 256 of file ezcalendar/user/dayview.php.

## ◆ $firstInterval

$firstInterval = $midNight->add( $interval )

Definition at line 180 of file ezcalendar/user/dayview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 36 of file ezcalendar/user/dayview.php.

## ◆ $interval

$interval = new eZTime()

Definition at line 141 of file ezcalendar/user/dayview.php.

Referenced by appointmentRowSpan().

## ◆ $IntervalStr

$IntervalStr = $ini->variable( "eZCalendarMain", "DayInterval" )

Definition at line 41 of file ezcalendar/user/dayview.php.

## ◆ $isMyCalendar

$isMyCalendar = ( $user && $user->id() == $userID ) ? "-private" : ""

Definition at line 100 of file ezcalendar/user/dayview.php.

## ◆ $Language

$Language = $ini->variable( "eZCalendarMain", "Language" )

Definition at line 38 of file ezcalendar/user/dayview.php.

## ◆ $lastInterval

$lastInterval = $midNight->subtract( $interval )

Definition at line 179 of file ezcalendar/user/dayview.php.

## ◆ $Locale

$Locale = new eZLocale( $Language )

Definition at line 43 of file ezcalendar/user/dayview.php.

## ◆ $midNight

if (preg_match("#(^( $midNight[0-9]{1,2})[^0-9]{0,1}([0-9]{0,2})$)#", $StartTimeStr, $startArray)) if (preg_match("#(^([0-9]{1,2})[^0-9]{0,1}([0-9]{0,2})$)#", $StopTimeStr, $stopArray)) if (preg_match("#(^([0-9]{1,2})[^0-9]{0,1}([0-9]{0,2})$)#", $IntervalStr, $intervalArray)) = new eZTime()

Definition at line 177 of file ezcalendar/user/dayview.php.

## ◆ $Month

$Month = $session->variable( "Month" )

Definition at line 78 of file ezcalendar/user/dayview.php.

## ◆ $now

$now = new eZTime()

Definition at line 401 of file ezcalendar/user/dayview.php.

Referenced by eZDateTime\__construct(), eZXMLRPCDatetime\__construct(), eZDate\__construct(), eZQuizGame\closedGames(), eZQuizScore\countAllSavedByUser(), eZPageViewQuery\dayStats(), eZQuizScore\getAllSavedByUser(), eZArticle\getAllUnValid(), eZArticle\getAllValid(), eZBulkMail\haveSentDaily(), eZBulkMail\haveSentHourly(), eZBulkMail\haveSentMonthly(), eZBulkMail\haveSentWeekly(), eZQuizGame\isClosed(), eZQuizGame\isFutureGame(), eZPageViewQuery\monthStats(), eZQuizGame\numberOfClosedGames(), eZQuizGame\numberOfOpenGames(), eZQuizGame\openGames(), eZQuizGame\opensNext(), eZArticle\setStartDate(), eZPageView\store(), and eZPageViewQuery\yearStats().

## ◆ $nowSet

$nowSet = false

Definition at line 402 of file ezcalendar/user/dayview.php.

## ◆ $numCols

$numCols = 1

Definition at line 252 of file ezcalendar/user/dayview.php.

## ◆ $numRows

foreach ($appointments as $appointment) for ($i=0;$i< count($appointments);$i++) $numRows | ( |  | ) | = 0

Definition at line 251 of file ezcalendar/user/dayview.php.

Referenced by eZDFSFileHandlerMySQLiBackend\_checkCacheGenerationTimeout(), eZDFSFileHandlerMySQLiBackend\_query(), and eZDFSFileHandlerMySQLiBackend\_report().

## ◆ $row

$row = 0

Definition at line 403 of file ezcalendar/user/dayview.php.

Referenced by eZPersistentObject\__construct(), eZDFSFileHandlerMySQLiBackend\_checkCacheGenerationTimeout(), eZDFSFileHandlerMySQLiBackend\_exists(), eZDFSFileHandlerMySQLiBackend\_getFileList(), eZDFSFileHandlerMySQLiBackend\_purgeByLike(), eZDFSFileHandlerMySQLiBackend\_selectOne(), eZDFSFileHandlerMySQLiBackend\_startCacheGeneration(), eZContentObjectState\allTranslations(), eZContentObjectStateGroup\allTranslations(), eZInformixDB\array_query(), eZSQLite3DB\array_query_append(), eZPerson\companies(), eZPersistentObject\conditionTextByRow(), eZQDomGenerator\decodeTable(), eZProduct\delete(), ezpSessionHandlerDB\deleteByUserIDs(), eZOption\descriptionHeaders(), eZOptionValue\descriptions(), eZDFSFileHandlerMySQLiBackend\expiredFilesList(), eZPersistentObject\eZPersistentObject(), eZContentObjectState\fetchByConditions(), eZContentObjectStateGroup\fetchByConditions(), eZLinkItem\fill(), eZLinkSection\fill(), eZPersistentObject\fill(), eZSection\frontPageRows(), eZLinkItem\get(), eZLinkSection\get(), eZPriceGroup\getAll(), eZPersistentObject\handleRows(), eZContentObjectState\limitationList(), eZLinkSection\links(), eZCompany\persons(), eZPriceGroup\priceGroups(), eZInformixDB\query_single(), eZMySQLDB\query_single(), eZPostgreSQLDB\query_single(), eZSQLite3DB\query_single(), ezpContentPublishingProcess\queue(), eZDFSFileHandlerMySQLiBackend\remainingCacheGenerationTime(), eZOption\removeValues(), eZQDomRenderer\renderTable(), eZModuleLink\sectionCount(), eZModuleLink\sections(), eZOptionValue\setTotalQuantity(), eZProduct\setTotalQuantity(), eZOptionValue\totalQuantity(), eZProduct\totalQuantity(), eZCompany\totalViewCount(), eZLinkItem\type(), eZPriceGroup\userGroups(), and eZCompany\viewCount().

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 46 of file ezcalendar/user/dayview.php.

## ◆ $startTime

$startTime = new eZTime()

Definition at line 139 of file ezcalendar/user/dayview.php.

Referenced by eZDebug\accumulatorStart(), appointmentRowSpan(), eZConsultation\findConsultationsByDate(), ezpSessionHandlerDB\gc(), intersects(), and eZDebug\printReportInternal().

## ◆ $StartTimeStr

$StartTimeStr = $ini->variable( "eZCalendarMain", "DayStartTime" )

Definition at line 39 of file ezcalendar/user/dayview.php.

## ◆ $stopTime

$stopTime = new eZTime()

Definition at line 140 of file ezcalendar/user/dayview.php.

Referenced by eZDebug\accumulatorStop(), ezpSessionHandlerDB\gc(), and intersects().

## ◆ $StopTimeStr

$StopTimeStr = $ini->variable( "eZCalendarMain", "DayStopTime" )

Definition at line 40 of file ezcalendar/user/dayview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezcalendar/user/" . $ini->variable( "eZCalendarMain", "TemplateDir" ),
"kernel/ezcalendar/user/intl", $Language, "dayview.php",
"default", "ezcalendar" . "/user", "$Year-$zMonth-$zDay-$userID" . $isMyCalendar )
eZTemplate
Definition: eztemplate.php:107
$isMyCalendar
$isMyCalendar
Definition: ezcalendar/user/dayview.php:100
$Language
$Language
Definition: ezcalendar/user/dayview.php:38
$ini
$ini
Definition: ezcalendar/user/dayview.php:36

Definition at line 101 of file ezcalendar/user/dayview.php.

## ◆ $tableCellsId

$tableCellsId = array()

Definition at line 253 of file ezcalendar/user/dayview.php.

## ◆ $tableCellsRowSpan

$tableCellsRowSpan = array()

Definition at line 254 of file ezcalendar/user/dayview.php.

## ◆ $tmpAppointment

$tmpAppointment = new eZAppointment()

Definition at line 133 of file ezcalendar/user/dayview.php.

## ◆ $tmpDate

$tmpDate = new eZDate( $date->year(), $date->month(), $date->day() )

Definition at line 132 of file ezcalendar/user/dayview.php.

## ◆ $tmpTime

$tmpTime = new eZTime()

Definition at line 258 of file ezcalendar/user/dayview.php.

Referenced by eZTime\add(), appointmentRowSpan(), and eZTime\subtract().

## ◆ $tmpUser

$tmpUser = new eZUser( $userID )

Definition at line 66 of file ezcalendar/user/dayview.php.

## ◆ $today

$today = new eZDate()

Definition at line 131 of file ezcalendar/user/dayview.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 45 of file ezcalendar/user/dayview.php.

## ◆ $user_array

while ($tmpTime->isGreater($stopTime)) $user_array =& eZUser::getAll()

Definition at line 495 of file ezcalendar/user/dayview.php.

Referenced by eZPerson\addUser(), eZOrder\customers(), eZUser\exists(), eZModule\exists(), eZTodoLog\fill(), eZUser\fill(), eZUser\get(), eZUser\getAll(), eZUser\getAllCount(), eZUser\getUser(), eZUser\getUserByEmail(), eZUser\getUsersByEmail(), eZUser\search(), eZBulkMail\sendDelayedMail(), eZPerson\user(), eZUserGroup\users(), and eZUser\validateUser().

## ◆ $userID

else $userID = $user->id()

Definition at line 52 of file ezcalendar/user/dayview.php.

## ◆ $zDay

$zDay = addZero( $Day )

Definition at line 99 of file ezcalendar/user/dayview.php.

## ◆ $zMonth

$zMonth = addZero( $Month )

Definition at line 98 of file ezcalendar/user/dayview.php.

## ◆ else

if ($StoreSiteCache &&$t->hasCache()) else

Initial value:
{
$userID = $session->variable( "ShowOtherCalendarUsers" )
$userID
else $userID
Definition: ezcalendar/user/dayview.php:52
$session
$session
Definition: ezcalendar/user/dayview.php:46

Definition at line 61 of file ezcalendar/user/dayview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.